Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi
Class UnmarshalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.common.T3Exception
                      weblogic.rmi.RemoteException
                          weblogic.rmi.UnmarshalException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Deprecated. 9.0.0.0 Replaced by java.rmi.UnmarshalException

    public final class UnmarshalException

extends RemoteException

Class for handling unmarshalling exceptions. This exception is provided for compatibility with the `java.rmi.*` package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.rmi.RemoteException
`detail`

Constructor Summary
`UnmarshalException()` Deprecated.
`UnmarshalException(String string)` Deprecated. Constructs an UnmarshalException with the specified string.
`UnmarshalException(String s, Throwable e)` Deprecated. Constructs an UnmarshalException with the specified string and nested exception.

Method Summary

Methods inherited from class weblogic.rmi.RemoteException
`getMessage`

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmarshalException

    public UnmarshalException()

  Deprecated.

### UnmarshalException

    public UnmarshalException(String string)

  Deprecated.
  Constructs an UnmarshalException with the specified string.

  Parameters:
    `s` - the string message.

### UnmarshalException

    public UnmarshalException(String s,
                              Throwable e)

  Deprecated.
  Constructs an UnmarshalException with the specified string and nested exception.

  Parameters:
    `s` - the string message.
    `e` - the nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD